Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ColorPickerTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.ColorPickerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ColorPickerTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`ColorPickerTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setColorMode(javax.el.ValueExpression __colorMode)` Defines a color mode for the component input.
`void` | `setConverter(javax.el.ValueExpression __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setConverterMessage(javax.el.ValueExpression __converterMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage
`void` | `setFlat(javax.el.ValueExpression __flat)` Defines whether the component will be rendered flat.
`void` | `setImmediate(javax.el.ValueExpression __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate
`void` | `setInputSize(javax.el.ValueExpression __inputSize)` inputSize is used to set the size of the edit box Setter for inputSize
`void` | `setOnbeforeshow(javax.el.ValueExpression __onbeforeshow)` The client-side script method to be called before the component widget is opened Setter for onbeforeshow
`void` | `setOnchange(javax.el.ValueExpression __onchange)` The client-side script method to be called when the element value is changed Setter for onchange
`void` | `setOnhide(javax.el.ValueExpression __onhide)` The client-side script method to be called before the component widget is hidden Setter for onhide
`void` | `setOnselect(javax.el.ValueExpression __onselect)` The client-side script method to be called when the color is selected Setter for onselect
`void` | `setOnshow(javax.el.ValueExpression __onshow)` The client-side script method to be called when the component widget is displayed Setter for onshow
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(javax.el.ValueExpression __required)` If "true", this component is checked for non-empty input Setter for required
`void` | `setRequiredMessage(javax.el.ValueExpression __requiredMessage)` A ValueExpression enabled attribute which defines text of validation message to show, if a required field is missing Setter for requiredMessage
`void` | `setShowEvent(javax.el.ValueExpression __showEvent)` Defines the event that triggers the colorPicker.
`void` | `setValidator(javax.el.MethodExpression __validator)` MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator
`void` | `setValidatorMessage(javax.el.ValueExpression __validatorMessage)` A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage
`void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
`void` | `setValueChangeListener(javax.el.MethodExpression __valueChangeListener)` Listener for value changes Setter for valueChangeListener

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### ColorPickerTag

    public ColorPickerTag()

Method Detail

### setColorMode

    public void setColorMode(javax.el.ValueExpression __colorMode)

  Defines a color mode for the component input. Possible values are hex, rgb. Setter for colorMode

  Parameters:
    `colorMode` - - new value

### setConverter

    public void setConverter(javax.el.ValueExpression __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Parameters:
    `converter` - - new value

### setConverterMessage

    public void setConverterMessage(javax.el.ValueExpression __converterMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the converter message, replacing any message that comes from the converter Setter for converterMessage

  Parameters:
    `converterMessage` - - new value

### setFlat

    public void setFlat(javax.el.ValueExpression __flat)

  Defines whether the component will be rendered flat. Setter for flat

  Parameters:
    `flat` - - new value

### setImmediate

    public void setImmediate(javax.el.ValueExpression __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase Setter for immediate

  Parameters:
    `immediate` - - new value

### setInputSize

    public void setInputSize(javax.el.ValueExpression __inputSize)

  inputSize is used to set the size of the edit box Setter for inputSize

  Parameters:
    `inputSize` - - new value

### setOnbeforeshow

    public void setOnbeforeshow(javax.el.ValueExpression __onbeforeshow)

  The client-side script method to be called before the component widget is opened Setter for onbeforeshow

  Parameters:
    `onbeforeshow` - - new value

### setOnchange

    public void setOnchange(javax.el.ValueExpression __onchange)

  The client-side script method to be called when the element value is changed Setter for onchange

  Parameters:
    `onchange` - - new value

### setOnhide

    public void setOnhide(javax.el.ValueExpression __onhide)

  The client-side script method to be called before the component widget is hidden Setter for onhide

  Parameters:
    `onhide` - - new value

### setOnselect

    public void setOnselect(javax.el.ValueExpression __onselect)

  The client-side script method to be called when the color is selected Setter for onselect

  Parameters:
    `onselect` - - new value

### setOnshow

    public void setOnshow(javax.el.ValueExpression __onshow)

  The client-side script method to be called when the component widget is displayed Setter for onshow

  Parameters:
    `onshow` - - new value

### setRequired

    public void setRequired(javax.el.ValueExpression __required)

  If "true", this component is checked for non-empty input Setter for required

  Parameters:
    `required` - - new value

### setRequiredMessage

    public void setRequiredMessage(javax.el.ValueExpression __requiredMessage)

  A ValueExpression enabled attribute which defines text of validation message to show, if a required field is missing Setter for requiredMessage

  Parameters:
    `requiredMessage` - - new value

### setShowEvent

    public void setShowEvent(javax.el.ValueExpression __showEvent)

  Defines the event that triggers the colorPicker. Default value is "onclick". Setter for showEvent

  Parameters:
    `showEvent` - - new value

### setValidator

    public void setValidator(javax.el.MethodExpression __validator)

  MethodBinding pointing at a method that is called during Process Validations phase of the request processing lifecycle, to validate the current value of this component Setter for validator

  Parameters:
    `validator` - - new value

### setValidatorMessage

    public void setValidatorMessage(javax.el.ValueExpression __validatorMessage)

  A ValueExpression enabled attribute that, if present, will be used as the text of the validator message, replacing any message that comes from the validator Setter for validatorMessage

  Parameters:
    `validatorMessage` - - new value

### setValue

    public void setValue(javax.el.ValueExpression __value)

  The current value of this component Setter for value

  Parameters:
    `value` - - new value

### setValueChangeListener

    public void setValueChangeListener(javax.el.MethodExpression __valueChangeListener)

  Listener for value changes Setter for valueChangeListener

  Parameters:
    `valueChangeListener` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.